{% extends "base.html" %}

{% block title %}Facturation{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Facturation</li>
{% endblock %}

{% block content %}
<h3>Facturation mensuelle des alarmes</h3>

{% include 'alarme/facturation_tabs.html' with active='factures' %}

<div class="mt-3">
    {% if mois_a_facturer %}
    <button class="btn btn-primary openmodal"
            data-modalurl="{% url 'facturation-mensuelle' mois_a_facturer.year mois_a_facturer.month %}"
            data-savelabel="Facturer"
            title="Facturer">Facturer {{ mois_a_facturer|date:'F Y' }}{% if fact_trimestre %} + 2 mois{% endif %}
    </button>
    {% endif %}

{% for mois in mois_factures %}
    {% ifchanged mois.year %}{% if not forloop.first %}</div>{% endif %}<div><b>{{ mois.year }}:</b>{% endifchanged %}
    <a href="{% url 'factures-mois' mois.year mois.month  %}">{{ mois|date:'m' }}</a>
    {% if forloop.last %}</div>{% endif %}
{% endfor %}
</div>

<hr>

<div class="mt-3">
    <a href="{% url 'factures' %}" class="btn btn-outline-primary">Toutes les factures</a>
</div>

<div class="mt-3">
    <a href="{% url 'factures-non-transmises' %}" class="btn btn-outline-primary">Factures non transmises à la compta ({{ non_transmises }})</a>
</div>
{% endblock %}
